import Foundation
import GRDB
import Martin
import SwiftUI

// MARK: - Account
struct Account: DBStorable {
    static let databaseTableName = "accounts"

    var bareJid: String
    var pass: String
    var isActive: Bool
    var id: String { bareJid }
}

extension Account: UniversalInputSelectionElement {
    var text: String? { bareJid }
    var icon: Image? { nil }
}
